Std Achsenkreuz

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std AxisCross and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

Std AxisCross.svg Std Achsenkreuz

Menüeintrag
Ansicht → Achsenkreuz ein-/ausblenden
Arbeitsbereich
Alle
Standardtastenkürzel
A C
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Der Std AxisCross-Befehl schaltet das Achsenkreuz in der aktiven 3D-Ansicht ein/aus.

Das Achsenkreuz besteht aus drei Pfeilen, die positiven X-, Y- und Z-Achsen des globalen Koordinatensystems darstellen. Ihr gemeinsamer Startpunkt ist der Ursprung des globalen Koordinatensystems.

Std AxisCross example.svg

Das Achsenkreuz (die Buchstaben sind nicht Teil des Achsenkreuzes)

Anwendung

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Wähle die Option Ansicht → Std AxisCross.svg Achsenkreuz ein/ausblenden aus dem Menü.
    • Verwende das Tastaturkürzel: A dann C.

Hinweise

  • FreeCAD kann einen kleineren Koordinatensystemindikator in der unteren rechten Ecke von 3D-Ansichten anzeigen: : Bearbeiten → Einstellungen... → Anzeige → 3D Viewer → Koordinatensystem in Ecke anzeigen. Siehe Voreinstellungseditor.
  • Der Navigationswürfel enthält ebenfalls einen Koordinatensystemindikator.

Einstellungen

  • Der Standard für das Achsenkreuz kann in den Einstellungen geändert werden: Bearbeiten → Einstellungen... → Anzeige → 3D-Ansicht → Achsenkreuz standardmäßig anzeigen. Siehe [[1]]. eingeführt in Version 0.19

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um die Ansicht des Achsenkreuzes umzuschalten, verwende die Methode viewIsometric des AktiveAnsicht Objekts. Diese Methode ist nicht verfügbar, wenn sich FreeCAD im Konsolenmodus befindet.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setAxisCross(True)
FreeCADGui.ActiveDocument.ActiveView.hasAxisCross()